Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType virtual-hostType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}web-serverType
                  {http://www.bea.com/ns/weblogic/90/domain}virtual-hostType

Model
  `<...>
  name?, notes?, target?, deployment-order?, web-server-log?, frontend-host?, frontend-http-port?, frontend-https-port?, overload-response-code?, keep-alive-enabled?, keep-alive-secs?, https-keep-alive-secs?, post-timeout-secs?, max-post-time-secs?, max-post-size?, send-server-header-enabled?, default-web-app-context-root?, charsets?, url-resource?, chunked-transfer-disabled?, use-highest-compatible-http-version?, use-header-encoding?, auth-cookie-enabled?, write-chunk-bytes?, wap-enabled?, accept-context-path-in-get-real-path?, single-signon-disabled?, web-deployment?, virtual-host-name*, network-access-point?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This bean represents the configuration of virtual web server within a WebLogic Server instance. Note that a server may define multiple web servers to support virtual hosts.

  This MBean represents a virtual host.

  MBean: `VirtualHostMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`anyType` | `web-server-log` optional Returns the Log settings for the WebServer/VirtualHost.
`string` | `frontend-host` optional The name of the host to which all redirected URLs will be sent.
`int` | `frontend-http-port` optional The name of the HTTP port to which all redirected URLs will be sent.
`int` | `frontend-https-port` optional The name of the secure HTTP port to which all redirected URLs will be sent.
`annonymous type derived from int` | `overload-response-code` optional Get the response code to be used when an application is overloaded.
`boolean` | `keep-alive-enabled` optional This bean represents the configuration of virtual web server within a weblogic server.
`annonymous type derived from int` | `keep-alive-secs` optional The amount of time this server waits before closing an inactive HTTP connection.
`annonymous type derived from int` | `https-keep-alive-secs` optional The amount of time this server waits before closing an inactive HTTPS connection.
`annonymous type derived from int` | `post-timeout-secs` optional The amount of time this server waits between receiving chunks of data in an HTTP POST data before it times out.
`int` | `max-post-time-secs` optional Max Post Time (in seconds) for reading HTTP POST data in a servlet request.
`int` | `max-post-size` optional The maximum post size this server allows for reading HTTP POST data in a servlet request.
`boolean` | `send-server-header-enabled` optional This bean represents the configuration of virtual web server within a weblogic server.
`string` | `default-web-app-context-root` optional Returns the original context-root for the default Web application for this Web server.
`string` | `charsets` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `url-resource` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `chunked-transfer-disabled` optional This bean represents the configuration of virtual web server within a weblogic server.
`boolean` | `use-highest-compatible-http-version` optional This bean represents the configuration of virtual web server within a weblogic server.
`boolean` | `use-header-encoding` optional This bean represents the configuration of virtual web server within a weblogic server.
`boolean` | `auth-cookie-enabled` optional This bean represents the configuration of virtual web server within a weblogic server.
`int` | `write-chunk-bytes` optional The default size of the blocks to be written to the network layer.
`boolean` | `wap-enabled` optional This bean represents the configuration of virtual web server within a weblogic server.
`boolean` | `accept-context-path-in-get-real-path` optional This bean represents the configuration of virtual web server within a weblogic server.
`boolean` | `single-signon-disabled` optional This bean represents the configuration of virtual web server within a weblogic server.
`string` | `web-deployment` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `virtual-host-name` 0...∞ The comma-separated list of host names for which this virtual host will serve requests.
`string` | `network-access-point` optional The dedicated server channel name (NetworkAccessPoint) for which this virtual host will serve http request.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1